jer         14/09/15 08:48:46

  Modified:             yaps-0.96-r5.ebuild ChangeLog
  Log:
  Set S (bug #522700). Respect LDFLAGS. Convert sed script to patch. Convert 
helpful comment into USE default.
  
  (Portage version: 2.2.12/cvs/Linux x86_64, signed Manifest commit with key 
A792A613)

Revision  Changes    Path
1.3                  app-mobilephone/yaps/yaps-0.96-r5.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild?r1=1.2&r2=1.3

Index: yaps-0.96-r5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- yaps-0.96-r5.ebuild 7 Sep 2014 13:09:53 -0000       1.2
+++ yaps-0.96-r5.ebuild 15 Sep 2014 08:48:46 -0000      1.3
@@ -1,9 +1,8 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild,v 
1.2 2014/09/07 13:09:53 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/yaps-0.96-r5.ebuild,v 
1.3 2014/09/15 08:48:46 jer Exp $
 
 EAPI=5
-
 inherit eutils toolchain-funcs
 
 DESCRIPTION="Yet Another Pager Software (optional with CAPI support)"
@@ -14,41 +13,32 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc x86"
-IUSE="capi lua slang unicode"
+IUSE="+capi lua slang unicode"
 
-RDEPEND="capi? ( net-dialup/capi4k-utils )
+RDEPEND="
+       capi? ( net-dialup/capi4k-utils )
        slang? ( >=sys-libs/slang-1.4 )
        lua? ( dev-lang/lua )
-       !media-sound/abcmidi"  # also contains "yaps"
-DEPEND="${RDEPEND}
-       !capi? ( sys-apps/sed )
-       lua? ( virtual/pkgconfig )"
-
-pkg_setup() {
-       if ! use capi; then
-               ewarn
-               ewarn "You are now compiling some very old and unmaintained 
stuff!"
-               ewarn
-               ewarn "YAPS with CAPI 2.0 support is actively maintained, but 
needs"
-               ewarn "net-dialup/capi4k-utils installed. We recommend this"
-               ewarn "version, since it can still be used with an ordinary"
-               ewarn "modem (that's what you probably wanted). So just add 
'capi'"
-               ewarn "to your USE flags to get the new and maintained version."
-               ewarn
-       fi
-}
+       !media-sound/abcmidi
+"
+DEPEND="
+       ${RDEPEND}
+       lua? ( virtual/pkgconfig )
+"
+
+if use capi; then
+       S="${WORKDIR}"/${P}.c4
+fi
 
 src_prepare() {
-       use capi && mv -f "${S}.c4" "${S}"
-       cd "${S}"
-
        # apply patches
        epatch "${FILESDIR}/${P}-gentoo.diff"
        epatch "${FILESDIR}/${P}-getline-rename.patch"
 
        # fix compile warning
-       use capi || \
-       sed -i -e 's:^\(.*\)\(<stdlib.h>\):\1\2\n\1<string.h>:g' scr.c
+       if ! use capi; then
+               epatch "${FILESDIR}"/${P}-string.patch
+       fi
 
        # if specified, convert all relevant files from latin1 to UTF-8
        if use unicode; then
@@ -60,10 +50,13 @@
 }
 
 src_compile() {
-       local myconf=""
-       use lua && myconf="${myconf} LUA=True"
-       use slang && myconf="${myconf} SLANG=True"
-       emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" CFLAGS="${CFLAGS}" ${myconf} 
|| die "emake failed"
+       emake \
+               $(usex lua LUA=true '') \
+               $(usex slang SLANG=true '') \
+               CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS}" \
+               LDFLAGS="${LDFLAGS}" \
+               CXX="$(tc-getCXX)"
 }
 
 src_install() {
@@ -71,14 +64,12 @@
        insinto /etc
        doins yaps.rc
        keepdir /usr/lib/yaps
+
        doman yaps.1
        dohtml yaps.html
        dodoc BUGREPORT COPYRIGHT README yaps.lsm yaps.doc
        newdoc contrib/README README.contrib
+
        insinto /usr/share/doc/${PF}/contrib
        doins contrib/{m2y.pl,tap.sl}
 }
-
-pkg_postinst() {
-       elog "Please edit /etc/yaps.rc to suit your needs."
-}



1.32                 app-mobilephone/yaps/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/ChangeLog?rev=1.32&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/ChangeLog?rev=1.32&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-mobilephone/yaps/ChangeLog?r1=1.31&r2=1.32

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/ChangeLog,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -r1.31 -r1.32
--- ChangeLog   7 Sep 2014 16:28:30 -0000       1.31
+++ ChangeLog   15 Sep 2014 08:48:46 -0000      1.32
@@ -1,6 +1,11 @@
 # ChangeLog for app-mobilephone/yaps
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/ChangeLog,v 1.31 
2014/09/07 16:28:30 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-mobilephone/yaps/ChangeLog,v 1.32 
2014/09/15 08:48:46 jer Exp $
+
+  15 Sep 2014; Jeroen Roovers <[email protected]> yaps-0.96-r5.ebuild,
+  +files/yaps-0.96-string.patch:
+  Set S (bug #522700). Respect LDFLAGS. Convert sed script to patch. Convert
+  helpful comment into USE default.
 
   07 Sep 2014; Manuel RĂ¼ger <[email protected]> -yaps-0.96-r4.ebuild:
   Cleanup old.




Reply via email to